Bug 131445 - maintainer-update of mail/mutt-devel
Summary: maintainer-update of mail/mutt-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-06 14:20 UTC by Udo.Schweigert
Modified: 2009-02-09 17:00 UTC (History)
0 users

See Also:


Attachments
file.diff (14.64 KB, patch)
2009-02-06 14:20 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Udo.Schweigert 2009-02-06 14:20:06 UTC
Maintainer update of mail/mutt-devel:

	- Update to mutt version 1.5.19.
Comment 1 Martin Wilke freebsd_committer 2009-02-06 21:45:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-02-06 22:02:28 UTC
State Changed
From-To: open->feedback

hi Udo, 

Here the patch is rejected. 

m# 
[22:55] root@miwi /usr/home/miwi/dev/ports/mail/mutt-devel# make patch 
===>  WARNING: Vulnerability database out of date, checking anyway => 
mutt-1.5.19.tar.gz doesn't seem to exist in /usr/ports/distfiles/mutt. 
=> Attempting to fetch from ftp://ftp.mutt.org/mutt/devel/. 
mutt-1.5.19.tar.gz                            100% of 3475 kB 1414 kBps 
=> patch-1.5.19.rr.compressed.gz doesn't seem to exist in 
/usr/ports/distfiles/mutt.  => Attempting to fetch from 
http://www.mutt.org.ua/download/mutt-1.5.19/. 
patch-1.5.19.rr.compressed.gz                 100% of    9 kB   83 kBps 
=> patch-1.5.18.sidebar.20080611.txt doesn't seem to exist in 
/usr/ports/distfiles/mutt.  => Attempting to fetch from 
http://lunar-linux.org/~tchan/mutt/.  patch-1.5.18.sidebar.20080611.txt 
100% of   50 kB  244 kBps => patch-1.5.19.vvv.initials.gz doesn't seem 
to exist in /usr/ports/distfiles/mutt.  => Attempting to fetch from 
http://www.mutt.org.ua/download/mutt-1.5.19/. 
patch-1.5.19.vvv.initials.gz                  100% of  685  B 2441 kBps 
=> patch-1.5.19.vvv.quote.gz doesn't seem to exist in 
/usr/ports/distfiles/mutt.  => Attempting to fetch from 
http://www.mutt.org.ua/download/mutt-1.5.19/.  patch-1.5.19.vvv.quote.gz 
100% of 1756  B 4103 kBps => mutt-1.5.16.vc.greeting doesn't seem to 
exist in /usr/ports/distfiles/mutt.  => Attempting to fetch from 
http://vc.org.ua/mutt/.  mutt-1.5.16.vc.greeting 
100% of 4526  B   77 kBps ===>  Extracting for mutt-devel-1.5.19 => MD5 
Checksum OK for mutt/mutt-1.5.19.tar.gz.  => SHA256 Checksum OK for 
mutt/mutt-1.5.19.tar.gz.  => MD5 Checksum OK for 
mutt/patch-1.5.19.rr.compressed.gz.  => SHA256 Checksum OK for 
mutt/patch-1.5.19.rr.compressed.gz.  => MD5 Checksum OK for 
mutt/patch-1.5.18.sidebar.20080611.txt.  => SHA256 Checksum OK for 
mutt/patch-1.5.18.sidebar.20080611.txt.  => MD5 Checksum OK for 
mutt/patch-1.5.19.vvv.initials.gz.  => SHA256 Checksum OK for 
mutt/patch-1.5.19.vvv.initials.gz.  => MD5 Checksum OK for 
mutt/patch-1.5.19.vvv.quote.gz.  => SHA256 Checksum OK for 
mutt/patch-1.5.19.vvv.quote.gz.  => MD5 Checksum OK for 
mutt/mutt-1.5.16.vc.greeting.  => SHA256 Checksum OK for 
mutt/mutt-1.5.16.vc.greeting.  ===>  Patching for mutt-devel-1.5.19 1 
out of 3 hunks failed--saving rejects to buffy.c.rej 1 out of 12 hunks 
failed--saving rejects to compose.c.rej 1 out of 1 hunks failed--saving 
rejects to Makefile.am.rej 3 out of 3 hunks failed--saving rejects to 
Makefile.in.rej *** Error code 6 

Stop in /usr/home/miwi/dev/ports/mail/mutt-devel. 

could you please take a look thanks.
Comment 3 Udo.Schweigert 2009-02-07 11:36:46 UTC
Attached is a new patch preventing a problem with two patches.

diff -ru  /usr/ports/mail/mutt-devel/Makefile ./Makefile
--- /usr/ports/mail/mutt-devel/Makefile	2009-01-06 06:09:42.000000000 +0100
+++ ./Makefile	2009-02-07 12:34:47.000000000 +0100
@@ -116,8 +116,8 @@
 #
 
 PORTNAME=	mutt-devel
-PORTVERSION=	1.5.18
-PORTREVISION?=	4
+PORTVERSION=	1.5.19
+PORTREVISION?=	0
 CATEGORIES+=	mail ipv6
 .if defined(WITH_MUTT_NNTP)
 CATEGORIES+=	news
@@ -168,7 +168,7 @@
 CONFIGURE_ARGS+=	${MUTT_CONFIGURE_ARGS}
 .endif
 
-USE_AUTOTOOLS=	automake:19 autoconf:262
+USE_AUTOTOOLS=	automake:110 autoconf:262
 USE_OPENSSL=	yes
 
 PLIST=		${WRKDIR}/PLIST
@@ -214,6 +214,9 @@
 .if defined(WITH_MUTT_NNTP)
 IGNORE=	cannot install: the WITH_MUTT_SIDEBAR_PATCH and WITH_MUTT_NNTP are not compatible
 .endif
+.if defined(WITH_MUTT_GREETING_PATCH)
+IGNORE=	cannot install: the WITH_MUTT_SIDEBAR_PATCH and WITH_MUTT_GREETING_PATCH are not compatible
+.endif
 .endif
 .if ${OSVERSION} >= 700033 || (${OSVERSION} < 700000 && ${OSVERSION} >= 602107)
 NCURSES_IS_DEFAULT=	yes
diff -ru  /usr/ports/mail/mutt-devel/distinfo ./distinfo
--- /usr/ports/mail/mutt-devel/distinfo	2008-10-23 09:21:45.000000000 +0200
+++ ./distinfo	2009-02-06 13:24:23.000000000 +0100
@@ -1,21 +1,21 @@
-MD5 (mutt/mutt-1.5.18.tar.gz) = 27c30037120189b9f9c0d3e76361b8f8
-SHA256 (mutt/mutt-1.5.18.tar.gz) = 8bb6d69ea2c72030b66ec9bb4bd4007ba6d8dc5f60fdfde7b712e2784e08bfb3
-SIZE (mutt/mutt-1.5.18.tar.gz) = 3602632
-MD5 (mutt/patch-1.5.18.rr.compressed.gz) = 75abcdfb9f524f4cdc26049918aae265
-SHA256 (mutt/patch-1.5.18.rr.compressed.gz) = c09fbe38d6faaff7ea8164adc12e1a70ba27c33c35a8b6e1fe5db4a4854893e9
-SIZE (mutt/patch-1.5.18.rr.compressed.gz) = 10082
-MD5 (mutt/patch-1.5.18.vvv.nntp.gz) = b642b723363dc2e172d34f63e077831b
-SHA256 (mutt/patch-1.5.18.vvv.nntp.gz) = 4dd82e79f9179570e8a2d27c272a1de74a098cdd49eb7d461c76b47e893030cd
-SIZE (mutt/patch-1.5.18.vvv.nntp.gz) = 55263
+MD5 (mutt/mutt-1.5.19.tar.gz) = 73b3747bc7f7c805921e8d24ebac693f
+SHA256 (mutt/mutt-1.5.19.tar.gz) = b160baedf2676a4c2c1a5c74049e2c63f00fccff43ee2594367087a08bfd63c8
+SIZE (mutt/mutt-1.5.19.tar.gz) = 3558746
+MD5 (mutt/patch-1.5.19.rr.compressed.gz) = 3f0aa26613fc20c7c6f21995730c1fd5
+SHA256 (mutt/patch-1.5.19.rr.compressed.gz) = d04a7c129d11e0e8a71ecf4992986f97df17843777b3f70136a2c88464977533
+SIZE (mutt/patch-1.5.19.rr.compressed.gz) = 10143
+MD5 (mutt/patch-1.5.19.vvv.nntp.gz) = 1e2ad0cb9b918f8382537752df0c9958
+SHA256 (mutt/patch-1.5.19.vvv.nntp.gz) = 213c944d196eee81fd402e35a1d04b745e01bd63971f4319645b65cf9e61e4ef
+SIZE (mutt/patch-1.5.19.vvv.nntp.gz) = 55132
 MD5 (mutt/patch-1.5.4.cd.ifdef.1) = a545036cdb55519154d0b35465f52daa
 SHA256 (mutt/patch-1.5.4.cd.ifdef.1) = 7d11892bcc688bbc82b5996ca0fda2d4446d8e928bec50b2731f8a3a5d9be373
 SIZE (mutt/patch-1.5.4.cd.ifdef.1) = 3545
-MD5 (mutt/patch-1.5.18.vvv.initials.gz) = a73d9cb673b5976b562c124cb748b98d
-SHA256 (mutt/patch-1.5.18.vvv.initials.gz) = d0efc55b7b1cff4770c1e15b7710d11e19cd28a91714155636ad87556318f3f0
-SIZE (mutt/patch-1.5.18.vvv.initials.gz) = 679
-MD5 (mutt/patch-1.5.18.vvv.quote.gz) = 67c3582b272d71612bef6216f028d960
-SHA256 (mutt/patch-1.5.18.vvv.quote.gz) = 9f77848a63e6775a88e84901b9fcad743985f481b5f7a9249df5603d871277a0
-SIZE (mutt/patch-1.5.18.vvv.quote.gz) = 1736
+MD5 (mutt/patch-1.5.19.vvv.initials.gz) = 10fa7e4ccfb121c699ec79157231d4f7
+SHA256 (mutt/patch-1.5.19.vvv.initials.gz) = f803dfb7dd747c2dc749bb4fe1364234c361cb0740e8072063101ab622ffa9e0
+SIZE (mutt/patch-1.5.19.vvv.initials.gz) = 685
+MD5 (mutt/patch-1.5.19.vvv.quote.gz) = ce3e7f010058948ed11f5b3daa55829c
+SHA256 (mutt/patch-1.5.19.vvv.quote.gz) = 2dc24cfe09c98197e0bef8c05aba78aba9348f5dda55c8b167d982ed47bdc683
+SIZE (mutt/patch-1.5.19.vvv.quote.gz) = 1756
 MD5 (mutt/p0-patch-1.5.18.dw.mbox-hook.1) = ae70a6668e297bdc804b2673221b4727
 SHA256 (mutt/p0-patch-1.5.18.dw.mbox-hook.1) = 12b9f41476850a5e2eed2334be9326e4905e8a6d786740689b6966a5d285070c
 SIZE (mutt/p0-patch-1.5.18.dw.mbox-hook.1) = 6812
diff -ru  /usr/ports/mail/mutt-devel/files/extra-patch-doc-ref ./files/extra-patch-doc-ref
--- /usr/ports/mail/mutt-devel/files/extra-patch-doc-ref	2007-04-12 06:08:43.000000000 +0200
+++ ./files/extra-patch-doc-ref	2009-02-06 13:55:38.000000000 +0100
@@ -1,12 +1,12 @@
---- doc/mutt.man.orig	Wed Apr  4 07:37:13 2007
-+++ doc/mutt.man	Mon Apr  9 15:39:36 2007
-@@ -57,7 +57,8 @@
+--- doc/mutt.man.orig	2009-02-06 13:52:38.000000000 +0100
++++ doc/mutt.man	2009-02-06 13:55:05.000000000 +0100
+@@ -69,7 +69,8 @@
  .PP
  Mutt is a small but very powerful text based program for reading and sending electronic
  mail under unix operating systems, including support for color terminals, MIME,
 -OpenPGP, and a threaded sorting mode.
 +OpenPGP, and a threaded sorting mode. Details of how to use all of this is
 +available in \fI${DOCSDIR}\fP.
- .SH OPTIONS
  .PP
- .IP "-A \fIalias\fP"
+ .I Note:
+ .IR
diff -ru  /usr/ports/mail/mutt-devel/files/patch-02 ./files/patch-02
--- /usr/ports/mail/mutt-devel/files/patch-02	2008-06-21 06:09:30.000000000 +0200
+++ ./files/patch-02	2009-02-06 13:27:48.000000000 +0100
@@ -1,6 +1,6 @@
---- doc/Makefile.am.orig	2008-01-30 05:26:50.000000000 +0100
-+++ doc/Makefile.am	2008-06-13 12:18:37.000000000 +0200
-@@ -45,7 +46,7 @@
+--- doc/Makefile.am.orig	2009-02-06 13:25:21.000000000 +0100
++++ doc/Makefile.am	2009-02-06 13:27:06.000000000 +0100
+@@ -44,7 +44,7 @@
  
  all: makedoc-all
  
@@ -9,7 +9,7 @@
  
  install-data-local: makedoc-all instdoc
  	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(mandir)/man1
-@@ -67,9 +68,6 @@
+@@ -66,9 +66,6 @@
  		$(INSTALL) -m 644 $(srcdir)/$$f $(DESTDIR)$(docdir) ; \
  	done
  	-$(INSTALL) -m 644 manual.txt $(DESTDIR)$(docdir)
@@ -19,15 +19,14 @@
  	$(INSTALL) -m 644 Muttrc $(DESTDIR)$(sysconfdir)/Muttrc.dist
  	-if [ -f $(DESTDIR)$(pkgdatadir)/Muttrc ] ; then \
  		mv $(DESTDIR)$(pkgdatadir)/Muttrc* $(DESTDIR)$(sysconfdir) ; \
-@@ -100,10 +98,7 @@
+@@ -99,9 +96,7 @@
  
  check:
- manual.txt: manual.html db-cleanup.xsl
--	-xsltproc --nonet -o manual-txt.html $(srcdir)/db-cleanup.xsl manual.html || cp manual.html manual-txt.html
--	-lynx -dump -nolist -with_backspaces manual-txt.html > $@ || \
--	w3m -dump manual-txt.html > $@ || \
--	elinks -dump -no-numbering -no-references manual-txt.html > $@
-+	-lynx -dump -nolist -with_backspaces manual.html > $@
+ manual.txt: manual.html
+-	-LC_ALL=C lynx -dump -nolist -with_backspaces manual.html > $@ || \
+-	LC_ALL=C w3m -dump manual.html > $@ || \
+-	LC_ALL=C elinks -dump -no-numbering -no-references manual.html | sed -e 's,\\001, ,g' > $@
++	-LC_ALL=C lynx -dump -nolist -with_backspaces manual.html > $@
  
  Muttrc: stamp-doc-rc
  
diff -ru  /usr/ports/mail/mutt-devel/files/patch-examples ./files/patch-examples
--- /usr/ports/mail/mutt-devel/files/patch-examples	2008-05-22 06:09:21.000000000 +0200
+++ ./files/patch-examples	2009-02-06 13:35:26.000000000 +0100
@@ -24,30 +24,32 @@
  	done
  
  uninstall-local:
---- init.h.orig	Tue Mar  4 10:28:12 2003
-+++ init.h	Wed Mar 26 15:41:19 2003
-@@ -1455,8 +1455,8 @@
+--- init.h.orig	2009-02-06 13:27:52.000000000 +0100
++++ init.h	2009-02-06 13:34:09.000000000 +0100
+@@ -1808,9 +1808,8 @@
    ** .pp
    ** For examples on how to configure these formats for the various versions
-   ** of PGP which are floating around, see the pgp*.rc and gpg.rc files in
--  ** the samples/ subdirectory which has been installed on your system
+   ** of PGP which are floating around, see the pgp and gpg sample configuration files in
+-  ** the \fCsamples/\fP subdirectory which has been installed on your system
 -  ** alongside the documentation.
-+  ** the share/examples/mutt subdirectory which has been installed on your
-+  ** system.
-   ** (PGP only)
+-  ** (PGP only)
++  ** the \fCshare/examples/mutt/\fP subdirectory which has been installed on
++  **  your system. (PGP only)
    */
    { "pgp_getkeys_command",	DT_STR, R_NONE, UL &PgpGetkeysCommand, 0},
-@@ -1628,8 +1628,8 @@
+   /*
+@@ -2017,9 +2016,8 @@
    ** .de
    ** .pp
-   ** For examples on how to configure these formats, see the smime.rc in
--  ** the samples/ subdirectory which has been installed on your system
+   ** For examples on how to configure these formats, see the \fCsmime.rc\fP in
+-  ** the \fCsamples/\fP subdirectory which has been installed on your system
 -  ** alongside the documentation.
-+  ** the share/examples/mutt subdirectory which has been installed on your
-+  ** system.
-   ** (S/MIME only)
+-  ** (S/MIME only)
++  ** the \fCshare/examples/mutt/\fP subdirectory which has been installed on
++  ** your system. (S/MIME only)
    */
    { "smime_verify_command", 	DT_STR, R_NONE, UL &SmimeVerifyCommand, 0},
+   /*
 --- INSTALL.orig	Mon Nov 25 15:16:46 2002
 +++ INSTALL	Wed Mar 26 15:59:57 2003
 @@ -225,13 +225,13 @@
@@ -66,9 +68,9 @@
  
  into your system's global Muttrc, which normally resides in /etc or
  /usr/local/etc.
---- doc/manual.txt.orig	Thu Nov  1 22:07:09 2007
-+++ doc/manual.txt	Sun Nov  4 13:55:21 2007
-@@ -2617,9 +2617,10 @@
+--- doc/manual.txt.orig	2009-01-06 01:37:18.000000000 +0100
++++ doc/manual.txt	2009-02-06 13:32:18.000000000 +0100
+@@ -2982,9 +2982,10 @@
  shows that arguments can be quoted: the script will receive the expanded string
  between the single quotes as the only argument.
  
@@ -80,31 +82,29 @@
 +filter for $status_format to set the current terminal's title, if supported.
 +
  
- Chapter 4. Advanced Usage
+ Chapter 4. Advanced Usage
  
-@@ -6957,9 +6958,9 @@
-     One or more key IDs.
+@@ -7576,8 +7577,8 @@
  
  For examples on how to configure these formats for the various versions of PGP
--which are floating around, see the pgp*.rc and gpg.rc files in the samples/
--subdirectory which has been installed on your system alongside the
+ which are floating around, see the pgp and gpg sample configuration files in
+-the samples/ subdirectory which has been installed on your system alongside the
 -documentation. (PGP only)
-+which are floating around, see the pgp*.rc and gpg.rc files in the
-+share/examples/mutt/ subdirectory which has been installed on your system
-+alongside the documentation. (PGP only)
- 
- 3.169. pgp_getkeys_command
- 
-@@ -7155,9 +7156,9 @@
-     or file, this expands to "-CApath $smime_ca_location" or "-CAfile
-     $smime_ca_location".
++the share/examples/mutt/ subdirectory which has been installed on your system.
++(PGP only)
+ 
+ 3.170. pgp_getkeys_command
+ 
+@@ -7809,9 +7810,9 @@
+     or file, this expands to ?-CApath $smime_ca_location? or ?-CAfile
+     $smime_ca_location?.
  
 -For examples on how to configure these formats, see the smime.rc in the samples
 -/ subdirectory which has been installed on your system alongside the
 -documentation. (S/MIME only)
 +For examples on how to configure these formats, see the smime.rc in the 
-+share/examples/mutt/ subdirectory which has been installed on your system
-+alongside the documentation. (S/MIME only)
++share/examples/mutt/ subdirectory which has been installed on your system.
++(S/MIME only)
  
- 3.188. smime_verify_command
+ 3.189. smime_verify_command
  
diff -ru  /usr/ports/mail/mutt-devel/files/patch-handler.c ./files/patch-handler.c
--- /usr/ports/mail/mutt-devel/files/patch-handler.c	2008-10-19 18:20:33.000000000 +0200
+++ ./files/patch-handler.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,32 +0,0 @@
---- handler.c.orig	2008-01-30 05:26:50.000000000 +0100
-+++ handler.c	2008-10-16 10:56:40.000000000 +0200
-@@ -1199,11 +1199,12 @@
-     
-     if (rc)
-     {
-+      mutt_error ("One or more parts of this message could not be displayed");
-       dprint (1, (debugfile, "Failed on attachment #%d, type %s/%s.\n", count, TYPE(p), NONULL (p->subtype)));
-     }
-     
--    if (rc || ((s->flags & M_REPLYING)
--               && (option (OPTINCLUDEONLYFIRST)) && (s->flags & M_FIRSTDONE)))
-+    if ((s->flags & M_REPLYING)
-+        && (option (OPTINCLUDEONLYFIRST)) && (s->flags & M_FIRSTDONE))
-       break;
-   }
- 
-@@ -1564,6 +1565,14 @@
- 
-     if (!handler)
-       handler = multipart_handler;
-+    
-+    if (b->encoding != ENC7BIT && b->encoding != ENC8BIT
-+        && b->encoding != ENCBINARY)
-+    {
-+      dprint (1, (debugfile, "Bad encoding type %d for multipart entity, "
-+                  "assuming 7 bit\n", b->encoding));
-+      b->encoding = ENC7BIT;
-+    }
-   }
-   else if (WithCrypto && b->type == TYPEAPPLICATION)
-   {
diff -ru  /usr/ports/mail/mutt-devel/files/patch-imap-browse.c ./files/patch-imap-browse.c
--- /usr/ports/mail/mutt-devel/files/patch-imap-browse.c	2008-11-12 13:40:55.000000000 +0100
+++ ./files/patch-imap-browse.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,13 +0,0 @@
-Index: imap/browse.c
-Obtained from: http://dev.mutt.org/trac/changeset/5401%3Abba92e401440/imap/browse.c?old=5378%3Aac00273b3a88&old_path=imap%2Fbrowse.c
-Bug description: http://dev.mutt.org/trac/ticket/3057
-===================================================================
---- imap/browse.c
-+++ imap/browse.c
-@@ -229,5 +229,5 @@
-   }
- 
--  if (!imap_mxcmp(mx.mbox, idata->mailbox))
-+  if (idata->ctx && !imap_mxcmp(mx.mbox, idata->mailbox))
-   {
-     state->new = idata->ctx->new;
diff -ru  /usr/ports/mail/mutt-devel/files/patch-mktemp ./files/patch-mktemp
--- /usr/ports/mail/mutt-devel/files/patch-mktemp	2005-02-06 09:58:43.000000000 +0100
+++ ./files/patch-mktemp	2009-02-06 13:43:09.000000000 +0100
@@ -1,6 +1,6 @@
---- muttlib.c.orig	Fri Feb  4 08:09:25 2005
-+++ muttlib.c	Fri Feb  4 08:13:37 2005
-@@ -664,7 +664,11 @@
+--- muttlib.c.orig	2009-02-06 13:39:51.000000000 +0100
++++ muttlib.c	2009-02-06 13:42:35.000000000 +0100
+@@ -733,7 +733,11 @@
  
  void _mutt_mktemp (char *s, const char *src, int line)
  {
@@ -10,6 +10,6 @@
 +  snprintf (s, _POSIX_PATH_MAX-6, "%s/mutt-%s-XXXXXXXX", NONULL(Tempdir), NONULL(Hostname));
 +  mktemp (s);
 +  strncat(s, t, 6);
-   dprint (1, (debugfile, "%s:%d: mutt_mktemp returns \"%s\".\n", src, line, s));
+   dprint (3, (debugfile, "%s:%d: mutt_mktemp returns \"%s\".\n", src, line, s));
    unlink (s);
  }
diff -ru  /usr/ports/mail/mutt-devel/files/patch-smime-self ./files/patch-smime-self
--- /usr/ports/mail/mutt-devel/files/patch-smime-self	2003-11-06 21:10:56.000000000 +0100
+++ ./files/patch-smime-self	2009-02-06 13:47:32.000000000 +0100
@@ -22,18 +22,18 @@
        {
  	/* signed ? free it! */
  	return (-1);
---- init.h	14 Apr 2003 09:09:53 -0000	3.38
-+++ init.h	7 May 2003 14:57:02 -0000
-@@ -1585,6 +1585,11 @@
-   /*
+--- init.h.orig	2009-02-06 13:43:14.000000000 +0100
++++ init.h	2009-02-06 13:46:53.000000000 +0100
+@@ -1957,6 +1957,11 @@
+   ** not used.
+   ** (S/MIME only)
    */
-   
-+  { "smime_encrypt_self",		DT_QUAD,	 R_NONE, OPT_SMIMEENCRYPTSELF, M_YES },
++  { "smime_encrypt_self",	DT_QUAD,	 R_NONE, OPT_SMIMEENCRYPTSELF, 1 },
 +  /*
 +  ** .pp
 +  ** Encrypt the message to smime_default_key too.
 +  */
-   { "smime_timeout",		DT_NUM,	 R_NONE, UL &SmimeTimeout, 300 },
+   { "smime_encrypt_with",	DT_STR,	 R_NONE, UL &SmimeCryptAlg, 0 },
    /*
    ** .pp
 diff -u -d -b -B -r3.18 mutt.h
diff -ru  /usr/ports/mail/mutt-devel/scripts/generate-plist ./scripts/generate-plist
--- /usr/ports/mail/mutt-devel/scripts/generate-plist	2007-12-13 06:09:19.000000000 +0100
+++ ./scripts/generate-plist	2009-02-06 13:57:57.000000000 +0100
@@ -69,7 +69,6 @@
 %%DOCSDIR%%/ABOUT-NLS
 %%DOCSDIR%%/COPYRIGHT
 %%DOCSDIR%%/ChangeLog
-%%DOCSDIR%%/ChangeLog.old
 %%DOCSDIR%%/GPL
 %%DOCSDIR%%/INSTALL
 %%DOCSDIR%%/NEWS
Comment 4 dfilter service freebsd_committer 2009-02-09 16:59:03 UTC
miwi        2009-02-09 16:58:46 UTC

  FreeBSD ports repository

  Modified files:
    mail/mutt-devel      Makefile distinfo 
    mail/mutt-devel/files extra-patch-doc-ref patch-02 
                          patch-examples patch-mktemp 
                          patch-smime-self 
    mail/mutt-devel/scripts generate-plist 
  Removed files:
    mail/mutt-devel/files patch-handler.c patch-imap-browse.c 
  Log:
  - Update to 1.5.19
  
  PR:             131445
  Submitted by:   Udo Schweigert <udo.schweigert@siemens.com> (maintainer)
  
  Revision  Changes    Path
  1.300     +6 -3      ports/mail/mutt-devel/Makefile
  1.112     +15 -15    ports/mail/mutt-devel/distinfo
  1.4       +5 -5      ports/mail/mutt-devel/files/extra-patch-doc-ref
  1.25      +10 -11    ports/mail/mutt-devel/files/patch-02
  1.10      +34 -34    ports/mail/mutt-devel/files/patch-examples
  1.2       +0 -32     ports/mail/mutt-devel/files/patch-handler.c (dead)
  1.4       +0 -13     ports/mail/mutt-devel/files/patch-imap-browse.c (dead)
  1.5       +4 -4      ports/mail/mutt-devel/files/patch-mktemp
  1.3       +7 -7      ports/mail/mutt-devel/files/patch-smime-self
  1.40      +1 -2      ports/mail/mutt-devel/scripts/generate-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2009-02-09 16:59:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks! Hopefull we get both patches back in next time.